xmonad-contrib-0.11: Third party extensions for xmonad

Portability | unportable
Stability | unstable
Maintainer | Daniel Schoepe <daniel.schoepe@gmail.com>
Safe Haskell | Safe-Infered

XMonad.Util.Types

Description

Miscellaneous commonly used types.

Synopsis

- data Direction1D
  - = Next
  - | Prev
- data Direction2D
  - = U
  - | D
  - | R
  - | L

# Documentation

data Direction1D

One-dimensional directions:

Constructors

Next |
Prev |

Instances

Eq Direction1D |
Read Direction1D |
Show Direction1D |
Typeable Direction1D |

data Direction2D

Two-dimensional directions:

Constructors

U | Up
D | Down
R | Right
L | Left

Instances

Bounded Direction2D |
Enum Direction2D |
Eq Direction2D |
Ord Direction2D |
Read Direction2D |
Show Direction2D |
Typeable Direction2D |